Skip to main content
POST
/
v1
/
organisations
/
{organisationId}
/
clients
/
{clientId}
/
wallet
/
cards
cURL
curl --request POST \
  --url https://api.halth.com/v1/organisations/{organisationId}/clients/{clientId}/wallet/cards \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "health_fund_card",
  "paymentMethod": {
    "customerId": "<string>",
    "confirmationTokenId": "<string>",
    "paymentMethodId": "<string>"
  },
  "healthFundCard": {
    "memberNumber": "123456789",
    "healthFundId": "TEST",
    "issueNumber": "1",
    "defaultReferenceNumber": "1",
    "issueDate": null,
    "cardholders": []
  },
  "medicareCard": {
    "memberNumber": "3951330061",
    "referenceNumber": "1",
    "lastName": "Haywood",
    "dateOfBirth": "1975-04-03",
    "firstName": "Brant",
    "secondInitial": "B",
    "sex": "M"
  }
}
'
{
  "id": "<string>",
  "brand": "<string>",
  "last4": "<string>",
  "customerId": "<string>"
}

Path Parameters

organisationId
string
required
clientId
string
required

Body

application/json
type
enum<string>
required
Available options:
health_fund_card,
payment_method,
medicare_card
paymentMethod
object
healthFundCard
object
medicareCard
object

Response

Returns the created wallet card

id
string
required
brand
string
last4
string
customerId
string